<?php
/*//////////////////////////////////////
////////// Product Properties //////////
//////////////////////////////////////*/

global $product;

$product_ID = $product->get_id();
$product_title = get_the_title( $product_ID );
$product_price = $product->get_price_html();

if ( has_post_thumbnail( $product_ID ) ) {

	$get_previewImgSize = get_option( 'bfm_product_image_size', 'shop_thumbnail' );
	$product_Image = wp_get_attachment_image_src( get_post_thumbnail_id( $product_ID ), $get_previewImgSize );
	$get_productImg = $product_Image[0];

} else {

	$get_productImg = '';

}

/*/// END - Product Properties ///*/

/*///////////////////////////////
////////// Translation //////////
///////////////////////////////*/

if ( get_option( 'bfm_pot', 'no' ) == 'no' ) {

	// If .pot file enabled
	$bfm_tra_button_name = esc_html__( 'Buy For Me', 'buyforme' );

} else {

	// If .pot file disabled
	$bfm_tra_button_name = get_option( 'bfm_tra_button_name', 'Buy For Me' );

}

/*/// END - Translation ///*/

/*////////////////////////////////////
////////// Button Container //////////
////////////////////////////////////*/

$bfm_button_container = get_option( 'bfm_button_container', 'no' );
if ( !is_product() ) { $bfm_button_container = 'no'; }

/*/// END - Button Container ///*/

/*/////////////////////////////////////
////////// Font Awesome Icon //////////
/////////////////////////////////////*/

$bfm_fa = get_option( 'bfm_fa', '' );

/*/// END - Font Awesome Icon ///*/

?>
<?php if ( $bfm_button_container == 'yes' ) { ?><div class="bfm-button-container bfm-clearfix"><?php } ?><a href="#" class="button brnhmbx-bfm-button" data_product_id="<?php echo esc_attr( $product_ID ); ?>" data_product_src="<?php echo esc_url( $get_productImg ); ?>" data_product_title="<?php echo esc_attr( $product_title ); ?>" data_product_price="<?php echo esc_attr( $product_price ); ?>"><?php if ( $bfm_fa ) { echo '<i class="bfm-fa fa ' . esc_attr( $bfm_fa ) . '"></i>'; } echo esc_html( $bfm_tra_button_name ); ?></a><?php if ( $bfm_button_container == 'yes' ) { ?></div><?php } ?>

<?php

/*///////////////////////////////////
////////// Buy For Me Window ////////
///////////////////////////////////*/

global $class;
add_action( 'wp_footer', array( $class, 'buy_for_me_call_window' ) );

/*/// END - Buy For Me Window ///*/

?>
