<?php
/*///////////////////////////////
////////// Translation //////////
///////////////////////////////*/

if ( get_option( 'bfm_pot', 'no' ) == 'no' ) {

	// If .pot file enabled
	$bfm_tra_preview = esc_html__( 'E-mail Preview', 'buyforme' );
	$bfm_tra_design = esc_html__( 'Options & Settings', 'buyforme' );
	$bfm_tra_color = esc_html__( 'Color Scheme', 'buyforme' );
	$bfm_tra_button = esc_html__( 'Button Text', 'buyforme' );
	$bfm_tra_message = esc_html__( 'Your Message', 'buyforme' );
	$bfm_tra_price = esc_html__( 'Hide Price', 'buyforme' );
	$bfm_tra_name = esc_html__( 'Your Name', 'buyforme' );
	$bfm_tra_email = esc_html__( 'Your E-mail Address', 'buyforme' );
	$bfm_tra_subject = esc_html__( 'E-mail Subject', 'buyforme' );
	$bfm_tra_r_name = esc_html__( 'Receiver Name', 'buyforme' );
	$bfm_tra_receiver = esc_html__( 'Receiver E-mail Address', 'buyforme' );
	$bfm_tra_send = esc_html__( 'Send E-mail', 'buyforme' );
	$bfm_tra_p_Message = esc_html__( 'Would you please buy this awesome piece for me dear? :)', 'buyforme' );
	$bfm_tra_p_Button = esc_html__( 'SHOP NOW', 'buyforme' );
	$bfm_tra_p_Subject = esc_html__( 'I can forgive you if you buy this :)', 'buyforme' );
	$bfm_tra_default = esc_html__( 'Default', 'buyforme' );

} else {

	// If .pot file disabled
	$bfm_tra_preview = get_option( 'bfm_tra_preview', 'E-mail Preview' );
	$bfm_tra_design = get_option( 'bfm_tra_design', 'Options & Settings' );
	$bfm_tra_color = get_option( 'bfm_tra_color', 'Color Scheme' );
	$bfm_tra_button = get_option( 'bfm_tra_button', 'Button Text' );
	$bfm_tra_message = get_option( 'bfm_tra_message', 'Your Message' );
	$bfm_tra_price = get_option( 'bfm_tra_price', 'Hide Price' );
	$bfm_tra_name = get_option( 'bfm_tra_name', 'Your Name' );
	$bfm_tra_email = get_option( 'bfm_tra_email', 'Your E-mail Address' );
	$bfm_tra_subject = get_option( 'bfm_tra_subject', 'E-mail Subject' );
	$bfm_tra_r_name = get_option( 'bfm_tra_r_name', 'Receiver Name' );
	$bfm_tra_receiver = get_option( 'bfm_tra_receiver', 'Receiver E-mail Address' );
	$bfm_tra_send = get_option( 'bfm_tra_send', 'Send E-mail' );
	$bfm_tra_p_Message = get_option( 'bfm_tra_p_Message', 'Would you please buy this awesome piece for me dear? :)' );
	$bfm_tra_p_Button = get_option( 'bfm_tra_p_Button', 'SHOP NOW' );
	$bfm_tra_p_Subject = get_option( 'bfm_tra_p_Subject', 'I can forgive you if you buy this :)' );
	$bfm_tra_default = get_option( 'bfm_tra_default', 'Default' );

}

/*/// END - Translation ///*/

/*//////////////////////////////
////////// Form Check //////////
//////////////////////////////*/

do_action( 'bfm_check_mail' );

/*/// END - Form Check ///*/

?>

<div id="brnhmbx-buy-for-me">
    <div class="brnhmbx-bfm-overlay"></div>
    <div class="brnhmbx-bfm-wrapper">
        <div class="brnhmbx-bfm-main">
            <div class="bfm-container bfm-clearfix">
                <div class="bfm-close">&times;</div>
                <div class="bfm-preview"><h2><?php echo esc_html( $bfm_tra_preview ); ?> :</h2><?php do_action( 'bfm_get_mail_content' ); ?></div>
                <div class="bfm-form bfm-clearfix">
                    <form method="post">
                        <h2><?php echo esc_html( $bfm_tra_design ); ?></h2>
                        <div class="bfm-col-1 bfm-clearfix">
                            <label for="bfm-color-scheme"><?php echo esc_html( $bfm_tra_color ); ?></label>
                            <select class="bfm-select" name="bfm-color-scheme" id="bfm-color-scheme" data-scheme="<?php echo get_option( 'bfm_single_scheme', 'disabled' ); ?>" data-text-color="<?php echo get_option( 'bfm_productTextColor', '#999999' ); ?>">
                                <option value="default"><?php echo esc_html( $bfm_tra_default ); ?></option>
                                <option value="lollipop">Lollipop</option>
                                <option value="macaron">Macaron</option>
                                <option value="blueberry">Blueberry</option>
                                <option value="forest">Forest</option>
                                <option value="dark">Dark</option>
                                <option value="lemonade">Lemonade</option>
                                <option value="sailor">Sailor</option>
                                <option value="gold">Gold</option>
                            </select>
                        </div>
                        <div class="bfm-col-2 col-bfm-button-text">
                            <label for="bfm-button-text"><?php echo esc_html( $bfm_tra_button ); ?></label>
                            <input type="text" class="bfm-input" name="bfm-button-text" id="bfm-button-text" maxlength="16" value="<?php echo esc_attr( $bfm_tra_p_Button ); ?>" />
                        </div>
                        <div>
                            <label for="bfm-your-message"><?php echo esc_html( $bfm_tra_message ); ?></label>
                            <input type="text" class="bfm-input" name="bfm-your-message" id="bfm-your-message" maxlength="80" value="<?php echo esc_attr( $bfm_tra_p_Message ); ?>" />
                        </div>
                        <?php if ( get_option( 'bfm_hidden_price', 'yes' ) == 'yes' ) { ?>
                        <div>
                            <input type="checkbox" name="bfm-hide-price" id="bfm-hide-price" />
                            <label for="bfm-hide-price"><?php echo esc_html( $bfm_tra_price ); ?></label>
                        </div>
                        <?php } ?>
                        <div class="bfm-col-1 bfm-clearfix">
                            <label for="bfm-your-name"><?php echo esc_html( $bfm_tra_name ); ?> *</label>
                            <input type="text" class="bfm-input" name="bfm-your-name" id="bfm-your-name" maxlength="30" required />
                        </div>
                        <div class="bfm-col-2">
                            <label for="bfm-your-email"><?php echo esc_html( $bfm_tra_email ); ?> *</label>
                            <input type="email" class="bfm-input" name="bfm-your-email" id="bfm-your-email" maxlength="63" required />
                        </div>
                        <div class="bfm-col-1 bfm-clearfix">
                            <label for="bfm-receiver-name"><?php echo esc_html( $bfm_tra_r_name ); ?> *</label>
                            <input type="text" class="bfm-input" name="bfm-receiver-name" id="bfm-receiver-name" maxlength="30" required />
                        </div>
                        <div class="bfm-col-2">
                            <label for="bfm-receiver-email"><?php echo esc_html( $bfm_tra_receiver ); ?> *</label>
                            <input type="email" class="bfm-input" name="bfm-receiver-email" id="bfm-receiver-email" maxlength="63" required />
                        </div>
												<div>
														<label for="bfm-email-subject"><?php echo esc_html( $bfm_tra_subject ); ?> *</label>
														<input type="text" class="bfm-input" name="bfm-email-subject" id="bfm-email-subject" maxlength="80" value="<?php echo esc_attr( $bfm_tra_p_Subject ); ?>" required />
                        </div>
                        <input type="hidden" name="bfm-product-id" id="bfm-product-id" />
                        <button type="submit" name="bfm-submit" id="bfm-submit" class="button"><span><?php echo esc_html( $bfm_tra_send ); ?></span></button>
                    </form>
                </div>
            </div>
            <div class="bfm-message"></div>
        </div>
    </div>
</div>
